Bug 1609802 - [RFE] Support ramdisk deployment
Summary: [RFE] Support ramdisk deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-ironic
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 15.0 (Stein)
Assignee: Julia Kreger
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-30 13:45 UTC by Julia Kreger
Modified: 2019-09-26 10:45 UTC (History)
5 users (show)

Fixed In Version: openstack-ironic-12.1.2-0.20190615000404.c3cbdb5.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:16:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack Storyboard 1753842 0 None None None 2018-07-30 13:45:21 UTC
OpenStack gerrit 568940 0 None MERGED Adds ramdisk deploy driver 2020-03-19 19:29:56 UTC
OpenStack gerrit 576717 0 None MERGED Add Boot from Ramdisk spec 2020-03-19 19:29:56 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:18:42 UTC

Description Julia Kreger 2018-07-30 13:45:21 UTC
Description of problem:

Upstream ironic has merged basic support (in Rocky) for an additional deployment interface, primarily geared at large scale operators and the scientific community as their use cases of rapid turnaround and disk-less nodes, since disk are often viewed as a additional possible failure point at that scale and operating class.

This interface does have a number of limitations[1] from standard interface usage, but we should test and support basic usage for operators that seek ephemeral nodes to be deployed.

[1] https://specs.openstack.org/openstack/ironic-specs/specs/not-implemented/boot-from-ramdisk.html

Comment 1 Julia Kreger 2018-08-16 13:07:55 UTC
Discussed with Ramon and this will be treated as a TechPreview item.

Comment 4 Dmitry Tantsur 2019-01-04 15:18:39 UTC
Code complete. Can be enabled via modifying IronicEnabledDeployInterfaces. Should probably be enabled by default when leaving TechPreview.

Comment 9 errata-xmlrpc 2019-09-21 11:16:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.